## mysql-workbench 6.0.7+dfsg1

=== debian/changelog ===
mysql-workbench (6.0.7+dfsg1-1) unstable; urgency=low

  * Upload to unstable.
  * Dropped non-DFSG compliant help files, see "README.Debian".
    + added "mysql-workbench-help" source package template and
      instructions how to manually build binary help package.
  * "debian/watch": monitor GPL-compliant -nodocs-src tars.
  * Added "doclib.patch" to force "doclib" module installation.
  * get-orig-source: remove help files from upstream tarball.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 03:59:41 +1000

mysql-workbench (6.0.7+dfsg-1) experimental; urgency=low

  * New upstream release [September 2013].
  * Removed obsolete "libboost1.53-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Sep 2013 00:00:55 +1000

mysql-workbench (6.0.6+dfsg-1) experimental; urgency=low

  * New upstream release [August 2013]
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-2.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-3.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-4.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-5.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-6.html
  * Packaging changes to accommodate switch of upstream build system to
    cmake; minor improvements.
  * Removed symlink to "libmysqlcppconn".
  * Removed "unbundle_*" and "launcher" patches (no longer needed).
  * New "fix-install.patch" to fix trivial FTBFS.
  * Build-Depends:
    - dh-autoreconf
    + cmake
    + autoconf
    + automake
    + libtool
    + libvsqlitepp-dev (NEW, used to be bundled with mysql-workbench)
  * Reference implementation of get-orig-source and better clean-up.
  * Updated/corrected man page and introduced target for semi-automated
    invocation of `help2man`.
  * Updated orig.tar name in "debian/watch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 25 Aug 2013 06:32:04 +1000

mysql-workbench (5.2.47+dfsg-3) unstable; urgency=low

  * Removed obsolete "libboost1.53-dev" from Build-Depends
    (Closes: #721503).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 02 Sep 2013 00:28:27 +1000

mysql-workbench (5.2.47+dfsg-2) unstable; urgency=low

  * Use `readlink` to find libmysqlcppconn library (Closes: #711687).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 09 Jun 2013 04:46:02 +1000

=== debian/mysql-workbench-help/debian/changelog ===
mysql-workbench-help (6.0.7+repack-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Sep 2013 00:00:55 +1000

=== debian/control ===
Source: mysql-workbench
Section: database
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
Build-Depends: debhelper (>= 9), cmake, perl, imagemagick
 ,autoconf ,automake ,libtool
 ,bison ,flex ,swig
 ,doxygen
 ,gettext
# ,libantlr3c-dev
 ,libboost-dev
 ,libcairo2-dev
 ,libctemplate-dev
 ,libfreetype6-dev
 ,libgl1-mesa-dev
 ,libglib2.0-dev
 ,libgnome-keyring-dev
 ,libgtkmm-2.4-dev
 ,liblua5.1-0-dev
 ,libmysqlcppconn-dev (>= 1.1.1)
 ,libpng-dev
 ,libmysqlclient-dev
 ,libpcre3-dev
 ,libpixman-1-dev
 ,libsqlite3-dev
 ,libtinyxml-dev (>= 2.6.2)
 ,libvsqlitepp-dev
 ,libxml2-dev
 ,libzip-dev
 ,python-dev
 ,unixodbc-dev
 ,uuid-dev
 ,xdg-utils
Standards-Version: 3.9.4
Homepage: http://dev.mysql.com/workbench/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysql-workbench.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mysql-workbench.git

Package: mysql-workbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 ,mysql-workbench-data (= ${source:Version})
 ,mysql-client
 ,python-mysql.connector
 ,python-paramiko
 ,python-pexpect
 ,python-pyodbc (>= 2.1.8)
 ,python-pysqlite2
Recommends: ttf-bitstream-vera, mysql-utilities
Suggests: gnome-keyring
Description: MySQL Workbench - a visual database modeling, administration and queuing tool
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.

Package: mysql-workbench-data
Architecture: all
Depends: ${misc:Depends}
Description: MySQL Workbench -- architecture independent data
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
 .
 This package provides architecture independent files

#Package: mysql-workbench-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: mysql-workbench (= ${binary:Version}), ${misc:Depends}
#Description: MySQL Workbench -- debugging symbols
# MySQL Workbench is a modeling tool that allow to design
# and generate MySQL databases graphically. It also has administration
# and query development modules where you can manage MySQL server instances
# and execute SQL queries.
# .
# This package provides debugging symbols

#Package: mysql-workbench-docs
#Architecture: all
#Depends: ${misc:Depends}, libjs-jquery
#Recommends: yelp
#Suggests: www-browser
#Section: doc
#Description: MySQL Workbench -- Documentation for developers
# MySQL Workbench is a modeling tool that allow to design
# and generate MySQL databases graphically. It also has administration
# and query development modules where you can manage MySQL server instances
# and execute SQL queries.
# .
# This package provides documentation for developers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
    endif
endif
$(info Info: DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

%:
	dh $@ --parallel --max-parallel=4 --with python2

override_dh_clean:
	$(RM) -r CMakeFiles antlr-wb-prefix/tmp ext/antlr-runtime/.libs
	dh_clean debian/mysql-workbench-help.tar.xz

override_dh_auto_configure:
	# rebuild files generated by swig
	$(MAKE) -C library/forms/swig --makefile Makefile.swig
	dh_auto_configure -- \
            -DUSE_UNIXODBC=ON \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -DREAL_EXECUTABLE_DIR=/usr/lib/$(PKG)

override_dh_auto_build:
	# rebuild files generated by flex/bison
	cd library/sql-parser/yy_gen-tool/yy_gen-tool/ \
        && bison -dl parser.yy \
        && flex -B -oparser.lex.cc parser.lex
	# generate icon
	convert images/icons/MySQLWorkbench-32.png debian/mysql-workbench.xpm
	# generate documentation for mysql-workbench-docs package
	#cd doc && ./DoxygenRun.sh
	# build all the rest
	dh_auto_build --max-parallel=4

debian/mysql-workbench-help.tar.xz:
	tar -C debian -caf $@ mysql-workbench-help --owner=root --group=root --mode=a+rX

override_dh_auto_install: debian/mysql-workbench-help.tar.xz
	dh_auto_install --max-parallel=4 --destdir=$(CURDIR)/debian/tmp
	# .desktop to unix line endings
	sed -i 's/\r//g' debian/tmp/usr/share/applications/*.desktop
	# remove *.la files
	find . -name '*.la' -delete -printf 'removing %p\n'
	# install link to launcher to /usr/bin/
	dh_link -p$(PKG) \
            usr/lib/$(PKG)/mysql-workbench usr/bin/mysql-workbench

override_dh_compress:
	dh_compress --exclude=.mwb

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

# help `dh_shlibdeps` to find local libraries: 'dpkg-shlibdeps: error: couldn't find library'
override_dh_shlibdeps:
	LD_LIBRARY_PATH="debian/$(PKG)/usr/lib/$(PKG):$(LD_LIBRARY_PATH)" dh_shlibdeps

# -dbg package will be over 150 MiB
override_dh_strip:
	[ -d "$(CURDIR)/debian/$(PKG)-dbg" ] \
        && dh_strip --dbg-package=$(PKG)-dbg \
        || dh_strip

override_dh_builddeb:
	dh_builddeb -- -Zxz

## semi-automated manpage generation (to invoke manually)
MAN_NAME=mysql-workbench \\- MySQL Database Design, Administration and Development Tool
mysql-workbench.1:
	help2man --no-info --manual="mysql-workbench" --name="$(MAN_NAME)" mysql-workbench > $@
	perl \
            -E 's{^.*?\s+\\-\s+mysql-workbench.*}{$(MAN_NAME)}; # correcting NAME section'     \
            -E 's{^\.SH DESCRIPTION}{.SH SYNOPSIS};             # correcting SYNOPSIS section' \
            -E 's{^mysql\\-workbench\K\\-bin}{};                # correcting executable name'  \
            -E 's{^Options:}{.SH OPTIONS};                      # create OPTIONS section'      \
            -pi $@

## http://wiki.debian.org/onlyjob/get-orig-source
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	find $(PKG)-$(VER) -type f -name '*.cmd' -delete -printf 'removed %p\n'
	find $(PKG)-$(VER) -type f -name '*.vc*' -delete -printf 'removed %p\n'
	find $(PKG)-$(VER) -depth -type d -name 'macosx' -exec $(RM) -r {} \; -printf 'removed %p\n'
	find $(PKG)-$(VER) -depth -type d -name 'windows' -exec $(RM) -r {} \; -printf 'removed %p\n'
	cd $(PKG)-$(VER) \
        && $(RM) -r -v \
             build/msi \
             build/res \
             build/zip \
             ext/Aga.Controls \
        0000-ext/antlr-runtime \
             ext/scintilla/.hgtags \
             ext/scintilla/cocoa \
             ext/scintilla/win32 \
             ext/HTMLRenderer \
             frontend/mac \
             library/base.windows \
             library/forms/cocoa \
             library/sql-parser/yy_purify-tool/dist/*.jar \
             MySQLWorkbench.xcodeproj \
             plugins/wb.doclib/res/DocLibrary/* \
             res/fonts \
	#$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
        | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(PKG)-$(VER)"

## mysql-workbench 6.0.8+dfsg

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
# 2.8 needed because of ExternalProject

project(WORKBENCH)


#  About MySQL and CMake
#  http://dev.mysql.com/doc/internals/en/autotools-to-cmake.html
#  http://www.lenzg.net/archives/291-Building-MySQL-Server-with-CMake-on-LinuxUnix.html

#-----------------------------------------------------------------------
# Find packages and other useful checks
#-----------------------------------------------------------------------

# Look for our custom modules in cmake/Modules:
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/build/cmake/Modules/")

find_package(PkgConfig REQUIRED)

find_package(GTK2 2.6.2 REQUIRED gtk gtkmm)
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(GMODULE REQUIRED gmodule-2.0)
set(GTK2_INCLUDE_DIRS ${GTK2_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${GMODULE_INCLUDE_DIRS})
list(REMOVE_DUPLICATES GTK2_INCLUDE_DIRS)
set(GTK2_LIBRARIES ${GTK2_LIBRARIES} ${GTHREAD_LIBRARIES} ${GMODULE_LIBRARIES})
list(REMOVE_DUPLICATES GTK2_LIBRARIES)

pkg_check_modules(GLIB REQUIRED glib-2.0)

if (USE_BUNDLED_MYSQLDUMP)
  set(USE_BUNDLED_MYSQLDUMP -DHAVE_BUNDLED_MYSQLDUMP=1)
endif ()

# All known publicly available versions of Antlr3C are buggy

if (SKIP_BUNDLED_ANTLR)
  find_package(Antlr3C)
endif ()
if (ANTLR3C_FOUND)
  set(ANTLR3C_REQUIRED_VERSION "3.4")
  if (${ANTLR3C_VERSION} VERSION_LESS ${ANTLR3C_REQUIRED_VERSION})
    message("Required antlr3c version ${ANTLR3C_REQUIRED_VERSION} but ${ANTLR3C_VERSION} found, using bundled version")
    unset(ANTLR3C_FOUND)
  endif ()
endif ()

# In Ubuntu 13.04, the built-in check for python fails.. so we have to resort to the check with pkg-config (which doesn't work in many distros)
find_package(PythonLibs)
if (NOT PYTHONLIBS_FOUND)
    pkg_check_modules(PYTHON REQUIRED python)
endif ()
set(GRT_DEFINITIONS -DENABLE_PYTHON_MODULES)

find_package(Lua51)
if (LUA51_FOUND)
	set(GRT_DEFINITIONS ${GRT_DEFINITIONS} -DENABLE_LUA_MODULES)
endif()

find_package(MySQL REQUIRED)
if (UNIX)
	set(MYSQL_DEFINITIONS "-DBIG_JOINS=1"  "-fno-strict-aliasing")
endif()

find_package(LibXml2 REQUIRED)

find_package(OpenGL REQUIRED)

find_package(CTemplate)
find_package(MySQLCppConn REQUIRED)
find_package(VSqlite REQUIRED)
find_package(TinyXML REQUIRED)

if (UNIX)
	option(USE_UNIXODBC "Use unixODBC instead of iODBC" OFF)
	if (USE_UNIXODBC)
		find_package(UNIXODBC REQUIRED)
		set(ODBC_LIBRARIES ${UNIXODBC_LIBRARIES})
		set(ODBC_INCLUDE_DIRS ${UNIXODBC_INCLUDE_DIRS})
		set(ODBC_DEFINITIONS ${UNIXODBC_DEFINITIONS})
	else ()
		find_package(IODBC REQUIRED)
		set(ODBC_LIBRARIES ${IODBC_LIBRARIES})
		set(ODBC_INCLUDE_DIRS ${IODBC_INCLUDE_DIRS})
		set(ODBC_DEFINITIONS ${IODBC_DEFINITIONS})
	endif()
endif ()

pkg_check_modules(PCRE REQUIRED libpcre libpcrecpp)
pkg_check_modules(CAIRO REQUIRED cairo>=1.5.12)
pkg_check_modules(UUID REQUIRED uuid)
pkg_check_modules(LIBZIP REQUIRED libzip)
if (UNIX)
	pkg_check_modules(GNOME_KEYRING gnome-keyring-1)
	if (GNOME_KEYRING_FOUND)
		set(KEYRING_DEFINITION     "HAVE_GNOME_KEYRING")
	else()
		pkg_check_modules(GNOME_KEYRING gnome-keyring)
		if (GNOME_KEYRING_FOUND)
			set(KEYRING_DEFINITION     "HAVE_OLD_GNOME_KEYRING")
		endif()
	endif()
endif()

include (CheckFunctionExists)
check_function_exists (strtol HAVE_STRTOL)
check_function_exists (strtoll HAVE_STRTOLL)
check_function_exists (strtold HAVE_STRTOLD)
check_function_exists (strtoull HAVE_STRTOULL)
check_function_exists (strtoimax HAVE_STRTOIMAX)
check_function_exists (strtoumax HAVE_STRTOUMAX)

if (UNIX)
	if (NOT LIB_INSTALL_DIR)
		set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
	endif()
	if (NOT SHARE_INSTALL_PREFIX)
		set(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
	endif()
	if (NOT ETC_INSTALL_DIR)
		set(ETC_INSTALL_DIR "/etc")
	endif()
	if (NOT REAL_EXECUTABLE_DIR)
		set(REAL_EXECUTABLE_DIR "${CMAKE_INSTALL_PREFIX}/bin")
	endif()

	set(WB_INSTALL_DIR              "${CMAKE_INSTALL_PREFIX}")
	set(WB_INSTALL_DIR_EXECUTABLE   "${REAL_EXECUTABLE_DIR}")
	set(WB_INSTALL_BIN_DIR          "${CMAKE_INSTALL_PREFIX}/bin")
	set(WB_INSTALL_LIB_DIR          "${LIB_INSTALL_DIR}/mysql-workbench")
	set(WB_PYTHON_MODULES_DIR       "${WB_INSTALL_LIB_DIR}/modules")
	set(WB_INSTALL_SHARED_DIR       "${SHARE_INSTALL_PREFIX}")
	set(WB_INSTALL_ETC_DIR          "${ETC_INSTALL_DIR}")
	set(WB_PACKAGE_SHARED_DIR       "${SHARE_INSTALL_PREFIX}/mysql-workbench")
	set(WB_PACKAGE_PLUGINS_DIR      "${LIB_INSTALL_DIR}/mysql-workbench/plugins")
	set(WB_PYTHON_MODULES_DATA_DIR  "${SHARE_INSTALL_PREFIX}/mysql-workbench/modules/data")
	set(WB_INSTALL_DOC_DIR          "${SHARE_INSTALL_PREFIX}/doc/mysql-workbench")
endif()

include(ExternalProject)

if (NOT ANTLR3C_FOUND)
  message("Using bundled Antlr C runtime")
  #  Use for Antlr3 the one we have in /ext:
  set(ANTLR3C_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/ext/antlr-runtime ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/include)
  set(ANTLR3C_LIBRARIES "-L${PROJECT_BINARY_DIR}/antlr-wb -lantlr3c_wb")

  ExternalProject_Add(antlr-wb
    SOURCE_DIR ${PROJECT_SOURCE_DIR}/ext/antlr-runtime
    CONFIGURE_COMMAND autoreconf -i -s && ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/configure
        --prefix=${PROJECT_BINARY_DIR}/antlr-wb
        --libdir=${PROJECT_BINARY_DIR}/antlr-wb
	--disable-abiflags
    BUILD_COMMAND make
    BUILD_IN_SOURCE 1
    INSTALL_COMMAND make install
  )

  link_directories(${PROJECT_BINARY_DIR}/antlr-wb)
endif ()

# Uncomment these lines if at any time you want to force the configure and/or build
# of antlr-wb:
#ExternalProject_Add_Step(antlr-wb forceconfigure
#    COMMAND ${CMAKE_COMMAND} -E echo "Force configure of antlr-wb"
#    DEPENDEES update
#    DEPENDERS configure
#    ALWAYS 1
#)
#ExternalProject_Add_Step(antlr-wb forcebuild
#    COMMAND ${CMAKE_COMMAND} -E echo "Force build of antlr-wb"
#    DEPENDEES configure
#    DEPENDERS build
#    ALWAYS 1
#)


#include(CheckCXXCompilerFlag)
#check_cxx_compiler_flag(-Wall  HAS_ALL_WARNS)
#if (HAS_ALL_WARNS)
#	add_definitions(-Wall)
#endif()
#check_cxx_compiler_flag(-Wsign-compare  HAS_SIGN_COMPARE)
#if (HAS_SIGN_COMPARE)
#	add_definitions(-Wsign-compare)
#endif()
add_definitions(-D__STDC_FORMAT_MACROS)

set(BUILD_SHARED_LIBS ON)  # By default all libs will be built as shared libs

# Add some common compiler flags. TODO: Shouldn't this be done checking if whatever compiler
# we use supports each flag to allow for non-gcc compilers in Linux (as above)?
if (CMAKE_COMPILER_IS_GNUCXX)
	add_definitions(-Wall -Wsign-compare -Wextra -Wno-unused -Wno-deprecated -DTIXML_USE_STL=1)
endif()


#-----------------------------------------------------------------------
# Define some useful variables and options
#-----------------------------------------------------------------------

#set(NCORES 3)  # Use this number of cores when compiling
#if(CMAKE_COMPILER_IS_GNUCXX)
#	set(CMAKE_CXX_FLAGS "${CMAKE_CKK_FLAGS} -j${NCORES}")
#	message(STATUS "CMAKE_CXX_FLAGS = ${CMAKE_CXX_FLAGS}")
#	#set(CMAKE_EXE_LINKER_FLAGS "-s")  ## Strip binary
#endif()

set(GRT_LIBRARIES ${PYTHON_LIBRARIES} ${LUA_LIBRARIES} ${LIBXML2_LIBRARIES})
set(GRT_INCLUDE_DIRS ${PYTHON_INCLUDE_DIRS} ${LUA_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

configure_file(${PROJECT_SOURCE_DIR}/mysql-workbench.desktop.in mysql-workbench.desktop)

# FIXME: Should this go here? ---v
include_directories(${PROJECT_SOURCE_DIR}/plugins/migration/copytable ${PROJECT_SOURCE_DIR}/library/base)
include_directories(${GTK2_INCLUDE_DIRS})

add_subdirectory(tools)
add_subdirectory(backend)
add_subdirectory(ext)
add_subdirectory(frontend)
add_subdirectory(images)
add_subdirectory(library)
add_subdirectory(modules)
add_subdirectory(plugins)
add_subdirectory(res)
if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/internal)
  add_subdirectory(internal)
endif()

install(FILES ${CMAKE_BINARY_DIR}/mysql-workbench.desktop DESTINATION ${WB_INSTALL_SHARED_DIR}/applications)

if (EXISTS ${PROJECT_SOURCE_DIR}/COPYING)
    install(FILES README COPYING DESTINATION ${WB_INSTALL_DOC_DIR})
    install(FILES build/debian/mysql-workbench-community.sharedmimeinfo DESTINATION ${WB_INSTALL_SHARED_DIR}/mime/packages RENAME mysql-workbench.xml)
    install(FILES build/debian/mysql-workbench-community.mime DESTINATION ${WB_INSTALL_SHARED_DIR}/mime-info RENAME mysql-workbench.mime)
else ()
    install(FILES README LICENSE.mysql DESTINATION ${WB_INSTALL_DOC_DIR})
    install(FILES build/debian/mysql-workbench-commercial.sharedmimeinfo DESTINATION ${WB_INSTALL_SHARED_DIR}/mime/packages RENAME mysql-workbench.xml)
    install(FILES build/debian/mysql-workbench-commercial.mime DESTINATION ${WB_INSTALL_SHARED_DIR}/mime-info RENAME mysql-workbench.mime)
endif ()

install(FILES build/build_freetds.sh
              samples/models/sakila_full.mwb
        DESTINATION ${WB_PACKAGE_SHARED_DIR}/extras
       )

=== generated/Makefile ===
top_srcdir = ..

genobj = $(top_srcdir)/tools/genobj/genobj

genwrap = $(top_srcdir)/tools/genwrap/genwrap

#BUILT_SOURCES=\
#  grts/structs.app.h\
#  grts/structs.db.mgmt.h\
#  grts/structs.db.mysql.h\
#  grts/structs.db.mssql.h\
#  grts/structs.db.sybase.h\
#  grts/structs.db.migration.h\
#  grts/structs.db.query.h\
#  grts/structs.db.h\
#  grts/structs.eer.h\
#  grts/structs.workbench.h\
#  grts/structs.meta.h\
#  grts/structs.model.h\
#  grts/structs.workbench.model.h\
#  grts/structs.workbench.model.reporting.h\
#  grts/structs.workbench.logical.h\
#  grts/structs.workbench.physical.h\
#  grts/structs.h\
#  grts/structs.ui.h\
#  grti/plugin.h\
#  grti/wb_model_reporting.h\
#  grti/wbvalidation.h

all: grts/*.h grti/*.h modules

grts/%.h: $(top_srcdir)/res/grt/%.xml 
	$(genobj) $< $(top_srcdir)/res/grt grts ../backend/wbpublic/objimpl/`basename $<|sed -e 's/structs.\(.*\).xml/\1/'`

grti/%.h: $(top_srcdir)/modules/interfaces/%.h $(genwrap)
	$(genwrap) interfaces $< $@ 

modules:
	$(genwrap) wrappers generated/grtm 


grts/structs.app.h: $(top_srcdir)/res/grt/structs.app.xml

grts/structs.db.h: $(top_srcdir)/res/grt/structs.db.xml

grts/structs.db.mgmt.h: $(top_srcdir)/res/grt/structs.db.mgmt.xml

grts/structs.db.mysql.h: $(top_srcdir)/res/grt/structs.db.mysql.xml

grts/structs.db.mssql.h: $(top_srcdir)/res/grt/structs.db.mssql.xml

grts/structs.db.oracle.h: $(top_srcdir)/res/grt/structs.db.oracle.xml

grts/structs.db.sybase.h: $(top_srcdir)/res/grt/structs.db.sybase.xml

grts/structs.db.query.h: $(top_srcdir)/res/grt/structs.db.query.xml

grts/structs.eer.h: $(top_srcdir)/res/grt/structs.eer.xml

grts/structs.h: $(top_srcdir)/res/grt/structs.xml

grts/structs.ui.h: $(top_srcdir)/res/grt/structs.ui.xml

grts/structs.model.h: $(top_srcdir)/res/grt/structs.model.xml

grts/structs.workbench.h: $(top_srcdir)/res/grt/structs.workbench.xml

grts/structs.workbench.logical.h: $(top_srcdir)/res/grt/structs.workbench.logical.xml

grts/structs.workbench.model.h: $(top_srcdir)/res/grt/structs.workbench.model.xml

grts/structs.workbench.model.reporting.h: $(top_srcdir)/res/grt/structs.workbench.model.reporting.xml

grts/structs.workbench.physical.h: $(top_srcdir)/res/grt/structs.workbench.physical.xml

grts/structs.db.migration.h: $(top_srcdir)/res/grt/structs.db.migration.xml

=== plugins/CMakeLists.txt ===
add_subdirectory(db.mysql)
add_subdirectory(db.mysql.diff.reporting)
add_subdirectory(db.mysql.editors)
add_subdirectory(db.search)
add_subdirectory(migration)
add_subdirectory(wb.admin)
add_subdirectory(wb.bugreport)
add_subdirectory(wb.doclib)
add_subdirectory(wb.model.editors)
add_subdirectory(wb.model.snippets)
add_subdirectory(wb.printing)
add_subdirectory(wb.query.analysis)
add_subdirectory(wb.sqlide)

=== res/CMakeLists.txt ===
add_subdirectory(grt)
add_subdirectory(grtdata)
add_subdirectory(mysql.profiles)
add_subdirectory(scripts)
add_subdirectory(sqlidedata)
add_subdirectory(wbdata)

# Copy files from the snippets dir:
install(FILES "snippets/SQL DDL Statements.txt" DESTINATION ${WB_PACKAGE_SHARED_DIR}/snippets RENAME SQL_DDL_Statements.txt)
install(FILES "snippets/SQL DML Statements.txt" DESTINATION ${WB_PACKAGE_SHARED_DIR}/snippets RENAME SQL_DML_Statements.txt)
install(FILES "snippets/DB Management.txt" DESTINATION ${WB_PACKAGE_SHARED_DIR}/snippets RENAME DB_Management.txt)

=== backend/wbprivate/CMakeLists.txt ===
add_definitions(${USE_BUNDLED_MYSQLDUMP})

include_directories(.
    ${CAIRO_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${LIBZIP_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${ANTLR3C_INCLUDE_DIRS}
    ${MYSQLCPPCONN_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/forms/mforms
    ${PROJECT_SOURCE_DIR}/library/mysql-parser
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/frontend/common
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/library/canvas/src
    ${PROJECT_SOURCE_DIR}/backend/wbprivate/workbench 
    ${PROJECT_SOURCE_DIR}/backend/wbpublic/grt 
    ${PROJECT_SOURCE_DIR}/library/dbc/src
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
    ${VSQLITE_INCLUDE_DIRS}
    ${TINYXML_INCLUDE_DIRS}
)

add_library(wbprivate STATIC
    model/canvas_floater.cpp
    model/mini_view.cpp
    model/relationship_canvas_floater.cpp
    model/wb_catalog_tree.cpp
    model/wb_component.cpp
    model/wb_component_basic.cpp
    model/wb_component_logical.cpp
    model/wb_component_physical.cpp
    model/wb_component_physical.cpp
    model/wb_component_physical_relationship.cpp
    model/wb_context_model.cpp
    model/wb_diagram_options.cpp
    model/wb_layer_tree.cpp
    model/wb_model_diagram_form.cpp
    model/wb_overview_diagram.cpp
    model/wb_overview_physical.cpp
    model/wb_overview_physical_schema.cpp
    model/wb_overview_privileges.cpp
    model/wb_physical_model_diagram_features.cpp
    model/wb_user_datatypes.cpp
    model/wb_history_tree.cpp
    model/wb_template_list.cpp
    sqlide/db_sql_editor_history_be.cpp
    sqlide/db_sql_editor_log.cpp
    sqlide/wb_sql_editor_form.cpp
    sqlide/wb_sql_editor_buffer.cpp
    sqlide/wb_sql_editor_form_ui.cpp
    sqlide/wb_sql_editor_help.cpp
    sqlide/wb_sql_editor_tree_controller.cpp
    sqlide/wb_context_sqlide.cpp
    sqlide/wb_live_schema_tree.cpp
    sqlide/wb_sql_editor_snippets.cpp
    sqlide/query_side_palette.cpp
    workbench/metaclasses.cpp
    workbench/upgrade_helper.cpp
    workbench/wb_command_ui.cpp
    workbench/wb_context_ui.cpp
    workbench/wb_context_ui_home.cpp
    workbench/wb_context.cpp
    workbench/wb_model_file.cpp
    workbench/wb_model_file_upgrade.cpp
    workbench/wb_module.cpp
    workbench/wb_tunnel.cpp
    workbench/wb_overview.cpp
    workbench/home_screen.cpp
    workbench/wb_tunnel.cpp
    workbench/webbrowser_view.cpp
    workbench/wb_db_schema.cpp
	workbench/about_box.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/bug_report_form.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/preferences_form.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/output_view.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/new_connection_wizard.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/document_properties_form.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/user_defined_type_editor.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/grt_shell_window.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/grt_code_editor.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/grt_python_debugger.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/plugin_manager_window.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/plugin_install_window.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/select_option_dialog.cpp
    ${PROJECT_SOURCE_DIR}/frontend/common/snippet_list.cpp
)

target_link_libraries(wbprivate
    grt
    ${CAIRO_LIBRARIES}
    ${GTK2_LIBRARIES}
    ${SIGC++_LIBRARIES}
    ${LIBZIP_LIBRARIES}
    ${TINYXML_LIBRARY}
)

#install(TARGETS wbprivate DESTINATION ${WB_INSTALL_LIB_DIR})

=== backend/wbpublic/CMakeLists.txt ===
include_directories(.
    ${CAIRO_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIRS}
    ${MYSQL_INCLUDE_DIRS}
    ${SQLITE3_INCLUDE_DIRS}
    ${CTEMPLATE_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${VSQLITE_INCLUDE_DIR}
    ${MYSQLCPPCONN_INCLUDE_DIR}
    ${ANTLR3C_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/library
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/forms/mforms
    ${PROJECT_SOURCE_DIR}/library/canvas/src
    ${PROJECT_SOURCE_DIR}/library/dbc/src
    ${PROJECT_SOURCE_DIR}/library/mysql-parser
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
)

add_library(wbpublic
    grt/refresh_ui.cpp
    grt/editor_base.cpp
    grt/parse_utils.cpp
    grt/common.cpp
    grt/grt_dispatcher.cpp
    grt/grt_manager.cpp
    grt/grt_reporter.cpp
    grt/grt_message_list.cpp
    grt/grt_shell.cpp
    grt/grt_string_list_model.cpp
    grt/grt_value_inspector.cpp
    grt/grt_value_tree.cpp
    grt/icon_manager.cpp
    grt/plugin_manager.cpp
    grt/tree_model.cpp
    grt/validation_manager.cpp
    grt/grt_threaded_task.cpp
    grt/action_list.cpp
    grtdb/charset_list.cpp
    grtdb/charset_utils.cpp
    grtdb/db_helpers.cpp
    grtdb/db_object_filter.cpp
    grtdb/db_object_helpers.cpp
    grtdb/db_object_master_filter.cpp
    grtdb/dbobject_roles.cpp
    grtdb/diff_dbobjectmatch.cpp
    grtdb/editor_dbobject.cpp
    grtdb/editor_routine.cpp
    grtdb/editor_routinegroup.cpp
    grtdb/editor_schema.cpp
    grtdb/editor_table.cpp
    grtdb/editor_user.cpp
    grtdb/editor_user_role.cpp
    grtdb/editor_view.cpp
    grtdb/role_tree_model.cpp
    grtdb/sync_profile.cpp
    objimpl/db/db_DatabaseObject.cpp
    objimpl/db/db_Schema.cpp
    objimpl/db/db_Table.cpp
    objimpl/db/db_ForeignKey.cpp
    objimpl/db/db_Column.cpp
    objimpl/db/db_Index.cpp
    objimpl/db/db_Trigger.cpp
    objimpl/db/db_RoutineGroup.cpp
    grtsqlparser/module_utils.cpp
    grtsqlparser/sql_facade.cpp
    grtsqlparser/sql_parser_base.cpp
    grtsqlparser/sql_inserts_loader.cpp
    grtsqlparser/sql_semantic_check.cpp
    grtsqlparser/sql_normalizer.cpp
    grtsqlparser/sql_statement_decomposer.cpp
    grtsqlparser/sql_specifics.cpp
    sqlide/sqlide_generics.cpp
    sqlide/sql_editor_be.cpp
    sqlide/sql_editor_be_autocomplete.cpp
    sqlide/var_grid_model_be.cpp
    sqlide/recordset_be.cpp
    sqlide/recordset_data_storage.cpp
    sqlide/recordset_cdbc_storage.cpp
    sqlide/recordset_sql_storage.cpp
    sqlide/recordset_sqlite_storage.cpp
    sqlide/recordset_table_inserts_storage.cpp
    sqlide/recordset_text_storage.cpp
    sqlide/sqlide.cpp
    sqlide/table_inserts_loader_be.cpp
    sqlide/autocomplete_object_name_cache.cpp
    sqlide/sql_script_run_wizard.cpp
    wbcanvas/figure_common.cpp
    wbcanvas/badge_figure.cpp
    wbcanvas/connection_figure.cpp
    wbcanvas/table_figure.cpp
    wbcanvas/table_figure_wb.cpp
    wbcanvas/table_figure_idef1x.cpp
    wbcanvas/table_figure_simple.cpp
    wbcanvas/view_figure.cpp
    wbcanvas/layer_figure.cpp
    wbcanvas/image_figure.cpp
    wbcanvas/note_figure.cpp
    wbcanvas/routine_group_figure.cpp
    wbcanvas/base_bridge.cpp
    wbcanvas/model_model_impl.cpp
    wbcanvas/model_diagram_impl.cpp
    wbcanvas/model_figure_impl.cpp
    wbcanvas/model_layer_impl.cpp
    wbcanvas/model_object_impl.cpp
    wbcanvas/model_connection_impl.cpp
    wbcanvas/workbench_physical_viewfigure_impl.cpp
    wbcanvas/workbench_physical_connection_impl.cpp
    wbcanvas/workbench_physical_model_impl.cpp
    wbcanvas/workbench_physical_diagram_impl.cpp
    wbcanvas/workbench_physical_routinegroupfigure_impl.cpp
    wbcanvas/workbench_physical_tablefigure_impl.cpp
    wbcanvas/workbench_model_notefigure_impl.cpp
    wbcanvas/workbench_model_imagefigure_impl.cpp
    objimpl/model/model_Connection.cpp
    objimpl/model/model_Figure.cpp
    objimpl/model/model_Layer.cpp
    objimpl/model/model_Model.cpp
    objimpl/model/model_Object.cpp
    objimpl/model/model_Diagram.cpp
    objimpl/workbench.model/workbench_model_NoteFigure.cpp
    objimpl/workbench.model/workbench_model_ImageFigure.cpp
    objimpl/workbench.physical/workbench_physical_Connection.cpp
    objimpl/workbench.physical/workbench_physical_RoutineGroupFigure.cpp
    objimpl/workbench.physical/workbench_physical_TableFigure.cpp
    objimpl/workbench.physical/workbench_physical_Diagram.cpp
    objimpl/workbench.physical/workbench_physical_Model.cpp
    objimpl/workbench.physical/workbench_physical_ViewFigure.cpp
    objimpl/workbench.logical/workbench_logical_Model.cpp
    objimpl/workbench.logical/workbench_logical_Diagram.cpp
    objimpl/db.query/db_query_Resultset.cpp
    objimpl/db.query/db_query_QueryBuffer.cpp
    objimpl/db.query/db_query_Editor.cpp
    objimpl/db.query/db_query_EditableResultset.cpp
    objimpl/db.migration/db_migration_Migration.cpp
    objimpl/ui/mforms_ObjectReference.cpp
    objimpl/ui/grt_PyObject.cpp
    objimpl/ui/ui_db_ConnectPanel.cpp
    objimpl/ui/ui_ObjectEditor.cpp
    objimpl/ui/ui_ObjectEditor_impl.cpp
    grtui/grtdb_connect_panel.cpp
    grtui/grtdb_connect_dialog.cpp
    grtui/confirm_save_dialog.cpp
    grtui/binary_data_editor.cpp
    grtui/grtdb_connection_editor.cpp
    grtui/grtdb_object_filter.cpp
    grtui/string_list_editor.cpp
    grtui/grt_wizard_form.cpp
    grtui/grt_wizard_plugin.cpp
    grtui/wizard_progress_page.cpp
    grtui/wizard_finished_page.cpp
    grtui/wizard_schema_filter_page.cpp
    grtui/wizard_object_filter_page.cpp
    grtui/wizard_view_text_page.cpp
    grtui/db_conn_be.cpp
    grtui/gui_plugin_base.cpp
    grtui/text_input_dialog.cpp
    grtui/checkbox_list_control.cpp
    grtui/file_charset_dialog.cpp
    grtui/inserts_export_form.cpp
    grtui/eol_format_dialog.cpp
)

#if (CMAKE_COMPILER_IS_GNUCXX)
#	set_target_properties(wbpublic PROPERTIES
#		COMPILE_FLAGS "-fpermissive"  # For things like the extra qualification in sqlide/sql_editor_be.cpp:116
#	)
#endif()

target_link_libraries(wbpublic wbbase mdcanvas mforms cdbc ${VSQLITE_LIBRARIES} wbscintilla mysqlparser ${CAIRO_LIBRARIES} ${GNOME_KEYRING_LIBRARIES} ${CTEMPLATE_LIBRARIES} ${OPENGL_LIBRARIES})

install(TARGETS wbpublic DESTINATION ${WB_INSTALL_LIB_DIR})

=== images/admin/CMakeLists.txt ===
set(IMAGE_FILES
	admin_add_user.png
	admin_audit_inspector.png
	admin_config_wizard.png
	admin_connections.png
	admin_export.png
	admin_info_running.png
	admin_info_stopped.png
	admin_info_unknown.png
	admin_manage_exported.png
	admin_manage_privs.png
	admin_meb_backup.png
	admin_meb_restore.png
	admin_option_file.png
	admin_restore_data.png
	admin_schema_management.png
	admin_scripts.png
	admin_server_logs.png
	admin_server_status.png
	admin_start_stop.png
	admin_status_vars.png
	admin_system_startup.png
	mysql-logo-00.png
	mysql-logo-50.png
	mysql-logo-51.png
	mysql-logo-55.png
	mysql-logo-56.png
	mysql-logo-57.png
	mysql-logo-58.png
	mysql-status-off.png
	mysql-status-on.png
	mysql-status-separator.png
	mysql-status-separator-linux.png
	wb-backup-logo.png
	wb-backup-logo-small.png
	wb_perform_config.png
	title_connections.png
	title_export.png
	title_import.png
	title_logs.png
	title_options.png
	title_startup.png
	title_users.png
	title_variables.png
	page_restore.png
	title_backup.png
	title_restore.png
	../ui/options-horizontal-separator.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/cursors/CMakeLists.txt ===
set(IMAGE_FILES 
    hand.cur
    image.cur
    layer.cur
    magnify_region.cur
    note.cur
    rel11.cur
    rel1n.cur
    relnm.cur
    routine.cur
    rubber.cur
    table.cur
    view.cur
    zoom_in.cur
    zoom_out.cur
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/grt/CMakeLists.txt ===
set(IMAGE_FILES 
    grt_dict.png
    grt_function.png
    grt_list.png
    grt_module.png
    grt_object.png
    grt_simple_type.png
    grt_struct.png
    structs/GrtObject.16x16.png
    structs/GrtObject.24x24.png
    structs/GrtObject.32x32.png
    structs/GrtObject.48x48.png
    structs/GrtObject.add.16x16.png
    structs/GrtObject.add.24x24.png
    structs/GrtObject.add.32x32.png
    structs/GrtObject.add.48x48.png
    structs/GrtObject.many_32x32.png
    structs/GrtStoredNote.48x48.png
    structs/GrtStoredNote.add.48x48.png
    structs/db.Column.11x11.png
    structs/db.Column.16x16.png
    structs/db.Column.fk.11x11.png
    structs/db.Column.fk.16x16.png
    structs/db.Column.fk.side.16x16.png
    structs/db.Column.fknn.11x11.png
    structs/db.Column.fknn.16x16.png
    structs/db.Column.many.side.16x16.png
    structs/db.Column.nn.11x11.png
    structs/db.Column.nn.16x16.png
    structs/db.Column.pk.11x11.png
    structs/db.Column.pk.16x16.png
    structs/db.Column.pk.side.16x16.png
    structs/db.Column.pkai.11x11.png
    structs/db.Column.pkai.16x16.png
    structs/db.Column.side.16x16.png
    structs/db.DatatypeGroup.blob.16x16.png
    structs/db.DatatypeGroup.datetime.16x16.png
    structs/db.DatatypeGroup.geo.16x16.png
    structs/db.DatatypeGroup.numeric.16x16.png
    structs/db.DatatypeGroup.text.16x16.png
    structs/db.DatatypeGroup.userdefined.16x16.png
    structs/db.ForeignKey.many.side.16x16.png
    structs/db.ForeignKey.side.16x16.png
    structs/db.Index.many.side.16x16.png
    structs/db.Index.side.16x16.png
    structs/db.Role.16x16.png
    structs/db.Role.48x48.png
    structs/db.Role.add.16x16.png
    structs/db.Role.add.48x48.png
    structs/db.Role.editor.48x48.png
    structs/db.Routine.16x16.png
    structs/db.Routine.24x24.png
    structs/db.Routine.48x48.png
    structs/db.Routine.64x64.png
    structs/db.Routine.add.16x16.png
    structs/db.Routine.add.48x48.png
    structs/db.Routine.editor.48x48.png
    structs/db.Routine.many.16x16.png
    structs/db.Routine.many.32x32.png
    structs/db.Routine.many.side.16x16.png
    structs/db.Routine.side.16x16.png
    structs/db.RoutineGroup.16x16.png
    structs/db.RoutineGroup.48x48.png
    structs/db.RoutineGroup.add.16x16.png
    structs/db.RoutineGroup.add.48x48.png
    structs/db.Schema.16x16.png
    structs/db.Schema.24x24.png
    structs/db.Schema.32x32.png
    structs/db.Schema.add.32x32.png
    structs/db.Schema.editor.48x48.png
    structs/db.Schema.many.16x16.png
    structs/db.Schema.many.32x32.png
    structs/db.Schema.selected.32x32.png
    structs/db.Schema.unloaded.side.16x16.png
    structs/db.Schema.loading.side.16x16.png
    structs/db.Schema.side.16x16.png
    structs/db.Script.48x48.png
    structs/db.Script.add.48x48.png
    structs/db.Table.16x16.png
    structs/db.Table.24x24.png
    structs/db.Table.48x48.png
    structs/db.Table.add.16x16.png
    structs/db.Table.add.48x48.png
    structs/db.Table.editor.48x48.png
    structs/db.Table.editor.24x24.png
    structs/db.Table.many.16x16.png
    structs/db.Table.many.32x32.png
    structs/db.Table.many.side.16x16.png
    structs/db.Table.side.16x16.png
    structs/db.Trigger.many.side.16x16.png
    structs/db.Trigger.side.16x16.png
    structs/db.ForeignKey.16x16.png
    structs/db.Index.16x16.png
    structs/db.Trigger.16x16.png
    structs/db.User.16x16.png
    structs/db.User.48x48.png
    structs/db.User.add.16x16.png
    structs/db.User.add.48x48.png
    structs/db.User.editor.48x48.png
    structs/db.View.16x16.png
    structs/db.View.24x24.png
    structs/db.View.48x48.png
    structs/db.View.64x64.png
    structs/db.View.add.16x16.png
    structs/db.View.add.48x48.png
    structs/db.View.broken.side.16x16.png
    structs/db.View.editor.48x48.png
    structs/db.View.many.16x16.png
    structs/db.View.many.32x32.png
    structs/db.View.many.side.16x16.png
    structs/db.View.side.16x16.png
    structs/db.mgmt.Connection.16x16.png
    structs/db.mgmt.Connection.32x32.png
    structs/db.mgmt.Connection.48x48.png
    structs/db.mgmt.Connection.add.16x16.png
    structs/db.mgmt.Connection.add.48x48.png
    structs/db.mgmt.Connection.manage.48x48.png
    structs/db.mgmt.ServerInstance.48x48.png
    structs/db.mgmt.ServerInstance.manage.48x48.png
    structs/workbench.Document.16x16.png
    structs/workbench.Document.32x32.png
    structs/workbench.Document.48x48.png
    structs/workbench.logical.Diagram.16x16.png
    structs/workbench.logical.Diagram.48x48.png
    structs/workbench.logical.Diagram.add.48x48.png
    structs/workbench.logical.Model.16x16.png
    structs/workbench.logical.Model.48x48.png
    structs/workbench.model.ImageFigure.16x16.png
    structs/workbench.model.NoteFigure.16x16.png
    structs/workbench.physical.Diagram.16x16.png
    structs/workbench.physical.Diagram.48x48.png
    structs/workbench.physical.Diagram.add.16x16.png
    structs/workbench.physical.Diagram.add.48x48.png
    structs/workbench.physical.Layer.16x16.png
    structs/workbench.physical.Layer.24x24.png
    structs/workbench.physical.Layer.many.16x16.png
    structs/workbench.physical.Model.16x16.png
    structs/workbench.physical.Model.48x48.png
    structs/workbench.physical.RoutineGroupFigure.16x16.png
    structs/workbench.physical.TableFigure.16x16.png
    structs/workbench.physical.ViewFigure.16x16.png
    structs/workbench.physical.db2.Model.48x48.png
    structs/workbench.physical.mssql.Model.48x48.png
    structs/workbench.physical.mysql.Model.16x16.png
    structs/workbench.physical.mysql.Model.48x48.png
    structs/workbench.physical.oracle.Model.48x48.png
    structs/workbench.physical.sqlite.Model.48x48.png
    structs/workbench.physical.sybase.Model.48x48.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/home/CMakeLists.txt ===
set(IMAGE_FILES 
wb_doc_model.png
wb_doc_sql.png
WB_Home_mac.png
WB_Home.png
wb_starter_generic_52.png
wb_starter_grt_shell_52.png
wb_starter_mysql_bug_reporter_52.png
wb_starter_mysql_doc_lib_52.png
wb_starter_mysql_forums_52.png
wb_starter_mysql_migration_52.png
wb_starter_mysql_news_52.png
wb_starter_mysql_utilities_52.png
wb_starter_mysql_wb_blog_52.png
wb_starter_mysql_wb_twitters_52.png
wb_starter_planet_mysql_52.png
wb_starter_edelivery_52.png
wb_starter_edelivery_52@2x.png
wb_starter_grt_shell_52@2x.png
wb_starter_mysql_bug_reporter_52@2x.png
wb_starter_mysql_doc_lib_52@2x.png
wb_starter_mysql_forums_52@2x.png
wb_starter_mysql_migration_52@2x.png
wb_starter_mysql_utilities_52@2x.png
wb_starter_planet_mysql_52@2x.png
wb_starter_support_52.png
wb_starter_support_52@2x.png
wb_tile_folder.png
wb_tile_mouseover_2.png
wb_tile_mouseover.png
wb_tile_network.png
wb_tile_number.png
wb_tile_page-down.png
wb_tile_page-up.png
wb_tile_plus.png
wb_tile_sakila.png
wb_tile_schema.png
wb_tile_time.png
wb_tile_user.png
wb_close.png
wb_tile_manage.png
wb_tile_more.png
wb_tile_open.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/icons/CMakeLists.txt ===
set(IMAGE_FILES 
    comment.png
    grt.png
    history.png
    layers.png
    mini_edit.png
    mini_ok.png
    mini_error.png
    mini_notice.png
    mini_warning.png
    warning_icon.png
    properties.png
    schemata.png
    user_datatypes.png
    MySQLWorkbench-128.png
    MySQLWorkbench-16.png
    MySQLWorkbench-32.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

add_subdirectory(linux)

=== images/sql/CMakeLists.txt ===

set(IMAGE_FILES 
    ./auto-completion-column.png
    ./auto-completion-function.png
    ./auto-completion-keyword.png
    ./auto-completion-operator.png
    ./auto-completion-routine.png
    ./auto-completion-schema.png
    ./auto-completion-table.png
    ./auto-completion-view.png
    ./auto-completion-engine.png
    ./qe_main-tb-icon_add-routine.png
    ./qe_main-tb-icon_add-function.png
    ./qe_main-tb-icon_add-schema.png
    ./qe_main-tb-icon_add-sql-editor.png
    ./qe_main-tb-icon_add-table.png
    ./qe_main-tb-icon_add-view.png
    ./qe_main-tb-icon_execute-sql-file.png
    ./qe_main-tb-icon_open-sql-file.png
    ./qe_main-tb-icon_refresh-conn.png
    ./qe_main-tb-icon_schema-inspector.png
    ./qe_main-tb-icon_table-inspector.png
    ./qe_main-tb-sep.png
    ./qe_main-tb-icon_preferences.png
    ./qe_main-tb-icon_search_db.png
    ./qe_resultset-tb-switcher_form_off.png
    ./qe_resultset-tb-switcher_form_on.png
    ./qe_resultset-tb-switcher_grid_off.png
    ./qe_resultset-tb-switcher_grid_on.png
    ./qe_resultset-tb-switcher_sql_off.png
    ./qe_resultset-tb-switcher_sql_on.png
    ./qe_sql-editor-tb-icon_autocommit-off.png
    ./qe_sql-editor-tb-icon_autocommit-on.png
    ./qe_sql-editor-tb-icon_beautifier_current.png
    ./qe_sql-editor-tb-icon_beautifier.png
    ./qe_sql-editor-tb-icon_commit.png
    ./qe_sql-editor-tb-icon_execute-current.png
    ./qe_sql-editor-tb-icon_execute.png
    ./qe_sql-editor-tb-icon_explain.png
    ./qe_sql-editor-tb-icon_find.png
    ./qe_sql-editor-tb-icon_open.png
    ./qe_sql-editor-tb-icon_rollback.png
    ./qe_sql-editor-tb-icon_save.png
    ./qe_sql-editor-tb-icon_special-chars-off.png
    ./qe_sql-editor-tb-icon_special-chars-on.png
    ./qe_sql-editor-tb-icon_word-wrap-off.png
    ./qe_sql-editor-tb-icon_word-wrap-on.png
    ./qe_sql-editor-tb-icon_stop-on-error-off.png
    ./qe_sql-editor-tb-icon_stop-on-error-on.png
    ./qe_sql-editor-tb-icon_stop.png
    ./qe_sql-editor-tb-icon_row-limit-off.png
    ./qe_sql-editor-tb-icon_row-limit-1k-on.png
    ./qe_sql-editor-tb-icon_row-limit-on.png
    ./snippet_css.png
    ./snippet_htm.png
    ./snippet_lua.png
    ./snippet_mwb.png
    ./snippet_php.png
    ./snippet_py.png
    ./snippet_sql.png
    ./wb-sidebar-collapse.png
    ./wb-sidebar-expand.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== debian/changelog ===
mysql-workbench (6.0.8+dfsg-2) unstable; urgency=low

  * New patch to fix FTBFS "ft2build.h: No such file or directory"
    (Closes: #732316). Thanks, Roland Stigge.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 17 Dec 2013 07:53:17 +1100

mysql-workbench (6.0.8+dfsg-1) unstable; urgency=low

  * New upstream release [November 2013].
    - dropped obsolete "path_to_ifconfig.patch" and "fix-install.patch".
  * README.Debian: added note about online help availability.
  * Standards updated to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Nov 2013 03:03:27 +1100

=== debian/mysql-workbench-help/debian/changelog ===
mysql-workbench-help (6.0.8+repack-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 08 Nov 2013 21:03:31 +1100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  ,unixodbc-dev
  ,uuid-dev
  ,xdg-utils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://dev.mysql.com/workbench/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysql-workbench.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/mysql-workbench.git

=== debian/mysql-workbench-help/debian/control ===
Source: mysql-workbench-help
Section: non-free/database
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), sqlite3
Standards-Version: 3.9.4
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-help
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, mysql-workbench (>= ${uver})
Enhances: mysql-workbench
Suggests: vrms
Description: MySQL Workbench - help files
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
 .
 This package provides architecture independent help files

=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 
 ## http://wiki.debian.org/onlyjob/get-orig-source
 UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
-DTYPE = +dfsg1
+DTYPE = +dfsg
 VER  ?= $(subst $(DTYPE),,$(UVER))
 .PHONY: get-orig-source
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))

=== debian/mysql-workbench-help/debian/watch ===
# uscan(1) configuration file.
# Use 'debian/rules get-orig-source' command to generate repackaged archive.

version=3

#opts=dversionmangle=s/\+(dfsg\d*|repack\d*)// \
#http://www.mirrorservice.org/sites/ftp.mysql.com/Downloads/MySQLGUITools\
#/mysql-workbench-community-([\d\.]+)-src\.tar\.(?:gz|bz2|xz)
